Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Namespaces | Macros
AppModuleVideo.cpp File Reference
`#include "AppModuleVideo.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include "Dispatcher.h"`
`#include "Util.h"`
`#include "Error.h"`
`#include "Options.h"`
`#include "ScopedGuard.h"`
`#include "VideoPipeline.h"`

Go to the source code of this file.

## Namespaces
namespace | ArgusSamples

## Macros
#define | CREATE_GUI_ELEMENT(_NAME, _VALUE)
#define | CREATE_GUI_ELEMENT_COMBO_BOX(_NAME, _VALUE, _FROMTYPE, _TOTYPE)

## Macro Definition Documentation

#define CREATE_GUI_ELEMENT | ( |  | _NAME,
|  |  | _VALUE
| ) |  |

Value:
PROPAGATE_ERROR(Window::IGuiElement::createValue(&dispatcher._VALUE, &element));\
PROPAGATE_ERROR(buildHelper.append(_NAME, element.get())); \
element.release();

#define CREATE_GUI_ELEMENT_COMBO_BOX | ( |  | _NAME,
|  |  | _VALUE,
|  |  | _FROMTYPE,
|  |  | _TOTYPE
| ) |  |

Value:
assert(sizeof(_FROMTYPE) == sizeof(_TOTYPE)); \
PROPAGATE_ERROR(Window::IGuiElement::createValue(reinterpret_cast< \
Value<_TOTYPE>*>(&dispatcher._VALUE), &element)); \
PROPAGATE_ERROR(buildHelper.append(_NAME, element.get())); \
element.release();